Bug 528847 - Review Request: Netpipe - A protocol independent network performance tool
Summary: Review Request: Netpipe - A protocol independent network performance tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-14 02:30 UTC by Scott Collier
Modified: 2014-01-24 12:43 UTC (History)
6 users (show)

Fixed In Version: 3.7.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-19 21:04:10 UTC
Type: ---
matt_domsch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Scott Collier 2009-10-14 02:30:09 UTC
Spec URL: http://boodle.fedorapeople.org/RPMS/netpipe.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/netpipe-3.7.1-1.2.src.rpm
Description: 

This is my first package and I'm requesting a sponsor.  This software is on the Fedora package wish list.  Please let me know if there's any issues and I'll try to address.

NetPIPE is a protocol independent performance tool that visually represents the network performance under a variety of conditions. It performs simple ping-pong tests, bouncing messages of increasing size between two processes, whether across a network or within an SMP system. Message sizes are chosen at regular intervals, and with slight perturbations, to provide a complete test of the communication system. Each data point involves many ping-pong tests to provide an accurate timing. Latencies are calculated by dividing the round trip time in half for small messages 

I've run rpmlint on the rpm and spec file and there are 0 errors and a few warnings.

Comment 1 Matt Domsch 2009-10-14 04:27:13 UTC
I can sponsor you.

Just a few recommendations.

The comments at the top of the file don't make sense in Fedora; just remove them.

add %{?dist} tag on the Release field.

%setup lacks -q flag

make lacks CFLAGS="$RPM_OPT_FLAGS" to pick up standard options.  Drop current setting of CFLAGS.

fix permission of SPECS/netpipe.spec to be 0644.

BuildRoot line could be one of the better ones.  For F11 and higher it'll get ignored anyhow, but I like to use the best one available when we can.
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Drop Obsoletes line.  This is the first implementation for Fedora.



remove executable permission on docs files.  Or, actually install them into /usr/bin/ and include them in %files.  If the latter, rpmbuild will automatically find the dependency on /bin/csh for you. ;-)

be sure the manpage isn't marked %doc.

once you've done the above, you can use %defattr(-, root, root, -) in %files.

With these changes, rpmlint is silent.
Then I'll do the formal review.

Thanks,
Matt

Comment 2 Ralf Corsepius 2009-10-14 04:54:55 UTC
Tarball is named NetPIPE => Fedora package name should be NetPIPE.

Comment 3 Matt Domsch 2009-10-14 12:40:42 UTC
good catch Ralf.

Comment 4 Scott Collier 2009-10-14 19:25:15 UTC
Matt,

Thanks for the review.  Here's the modified spec file and source RPM:

Spec URL: http://boodle.fedorapeople.org/RPMS/NetPIPE.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/NetPIPE-3.7.1-1.2.fc11.src.rpm

The old Spec file is still there.

http://boodle.fedorapeople.org/RPMS/

I made the changes you recommended (I hope I got it right), please take another look.

rpmlint is silent on the spec file and rpm:

[collier_s@ws1 SPECS]$ rpmlint NetPIPE.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[collier_s@ws1 SPECS]$ rpmlint ../RPMS/i586/NetPIPE-3.7.1-1.2.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Please let me know if I need to make any other changes to move foward here.

Ralf,

Thanks for picking up that naming issue.  I've corrected that as well.

Let me know if you see anything else with this package and I'll work on it.

Comment 5 Matt Domsch 2009-10-16 01:15:53 UTC
A few more items:

By changing the name, you can drop the define real_name and its use in %setup.

https://fedoraproject.org/wiki/Licensing
says that the License tag should be:
License: GPL+
because no version is specified in the source.

I think omitting the [fg]eplot and nplaunch files is wrong.  You can chmod them 0644 and then include them in %doc.

And bump the Release number, from 1.2 to 2, in case anyone happens to have the older release somehow.

Thanks,
Matt

Comment 6 Scott Collier 2009-10-16 02:02:12 UTC
(In reply to comment #5)
> A few more items:
> 
> By changing the name, you can drop the define real_name and its use in %setup.

done

> 
> https://fedoraproject.org/wiki/Licensing
> says that the License tag should be:
> License: GPL+
> because no version is specified in the source.

done

> 
> I think omitting the [fg]eplot and nplaunch files is wrong.  You can chmod them
> 0644 and then include them in %doc.

I wasn't sure how to handle those.  I've added them back.  They are bash scripts, so I put them in bindir with 0755.  Is that OK?

> 
> And bump the Release number, from 1.2 to 2, in case anyone happens to have the
> older release somehow.

done

rpmlint on rpm:

$ rpmlint ../RPMS/i586/NetPIPE-3.7.1-1.2.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint on spec:

$ rpmlint ../RPMS/i586/NetPIPE-3.7.1-1.2.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Spec URL: http://boodle.fedorapeople.org/RPMS/NetPIPE.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/NetPIPE-3.7.1-1.2.fc11.src.rpm


Thanks again for the guidance.
-Scott

> 
> Thanks,
> Matt

Comment 7 Scott Collier 2009-10-16 02:28:04 UTC
> rpmlint on rpm:
> 
> $ rpmlint ../RPMS/i586/NetPIPE-3.7.1-1.2.fc11.i586.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> rpmlint on spec:
> 
> $ rpmlint ../RPMS/i586/NetPIPE-3.7.1-1.2.fc11.i586.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> Spec URL: http://boodle.fedorapeople.org/RPMS/NetPIPE.spec
> SRPM URL: http://boodle.fedorapeople.org/RPMS/NetPIPE-3.7.1-1.2.fc11.src.rpm

Made a mistake when I uploaded my packages:

$ rpmlint NetPIPE.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ../SRPMS/NetPIPE-3.7.1-2.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Spec URL: http://boodle.fedorapeople.org/RPMS/NetPIPE.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/NetPIPE-3.7.1-2.fc11.src.rpm

Comment 8 Matt Domsch 2009-10-16 02:51:54 UTC
[fg]eplot in particular should be in %doc I think, and unmarked as executable.  They're very poor shell scripts, similar to each other and only really differing in where they're placing their output file, which doesn't take the output file name as an argument (it has a file name hardcoded, one in the current directory and one in ~/ but still poor form).  That's crap I wouldn't want in /usr/bin.

nplaunch is a useless wrapper around invoking ssh, and including it in /usr/bin/ sucks in tcsh as a dependency.  Ugh.

I think they're OK for %doc chmod 0644, but not in %bin.

Comment 9 Scott Collier 2009-10-16 11:58:44 UTC
(In reply to comment #8)
> [fg]eplot in particular should be in %doc I think, and unmarked as executable. 
> They're very poor shell scripts, similar to each other and only really
> differing in where they're placing their output file, which doesn't take the
> output file name as an argument (it has a file name hardcoded, one in the
> current directory and one in ~/ but still poor form).  That's crap I wouldn't
> want in /usr/bin.
> 
> nplaunch is a useless wrapper around invoking ssh, and including it in
> /usr/bin/ sucks in tcsh as a dependency.  Ugh.
> 
> I think they're OK for %doc chmod 0644, but not in %bin.  

Ok. Done.

Spec URL: http://boodle.fedorapeople.org/RPMS/NetPIPE.spec
SRPM URL: http://boodle.fedorapeople.org/RPMS/NetPIPE-3.7.1-2.fc11.src.rpm 

No errors with rpmlint.

Comment 10 Matt Domsch 2009-10-16 12:04:22 UTC
Scott, looks great now.  Thanks for your hard work on this.

I would ask you to delete the %define real_name, as it's no longer used.  You can do that at CVS checkin.

APPROVED.

Comment 11 Scott Collier 2009-10-16 13:41:35 UTC
New Package CVS Request
=======================
Package Name: NetPIPE
Short Description: A protocol independent network performance tool
Owners: boodle
Branches: F-10 F-11 F-12 EL-5
InitialCC: mdomsch

Comment 12 Matt Domsch 2009-10-16 15:20:05 UTC
For the record

Name: OK
spec name: OK
packaging guidelines: ok
license: ok
license field: ok
license text file: not present in upstream. ok.
english spec: ok
legible spec: ok
sources match upstream: ok
builds on x86_64: ok
doesn't build on some arch: unknown, nothing indicated.  ok.
buildrequires: ok
locales: not used, ok.
shared libs: none. ok
no system libs: ok
relocatable: no.  ok.
own dirs: ok
no duplicate files: ok
file perms: ok
clean section: ok
consistent use of macros: ok
code not content: code.  ok
large docs: none.  ok.
runtime docs: no. ok.
header files: none. ok
static libs: none. ok
pkgconfig: none. ok
devel versioned dep: none. ok.
no .la: none. ok
desktop file: none. ok
dir ownership: ok
install rm-rf: ok
utf8: ok

SHOULDs:
license: noted above
translated description: not available
builds in mock: didn't try; builds locally, with no special BRs.
builds for target arches: didn't try
tested: not done during review
scriptlets sane: none, ok.
subpackages: none, ok
pkgconfig: none, ok
file deps: none, ok

Comment 13 Kevin Fenzi 2009-10-17 20:45:55 UTC
cvs done.

Comment 14 Fedora Update System 2009-10-18 02:19:10 UTC
NetPIPE-3.7.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetPIPE-3.7.1-2.fc12

Comment 15 Fedora Update System 2009-10-18 02:22:16 UTC
NetPIPE-3.7.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/NetPIPE-3.7.1-2.el5

Comment 16 Fedora Update System 2009-10-18 02:22:59 UTC
NetPIPE-3.7.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetPIPE-3.7.1-2.fc10

Comment 17 Fedora Update System 2009-10-18 02:23:32 UTC
NetPIPE-3.7.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/NetPIPE-3.7.1-2.fc11

Comment 18 Matt Domsch 2009-10-19 21:04:10 UTC
Packages built.  Closing.

Comment 19 Fedora Update System 2009-11-10 03:24:39 UTC
NetPIPE-3.7.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-11-10 17:42:26 UTC
NetPIPE-3.7.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-11-10 17:55:56 UTC
NetPIPE-3.7.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Christopher Meng 2014-01-24 07:42:45 UTC
Package Change Request
======================
Package Name: NetPIPE
New Branches: el6 EPEL7
Owners: cicku

Comment 23 Gwyn Ciesla 2014-01-24 12:43:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.